### Method

# Pos CompleterBase wants_punctuation_swap

#### Declaration [src]

    gboolean
    pos_completer_base_wants_punctuation_swap (
      PosCompleterBase* self,
      const char* symbol
    )

#### Description [src]

Checks if the passed in symbol is a punctuation and `before_text` ends in a space. Completers can invoke this to figure out if they want to drop that trailing space.

#### Parameters

`symbol`

  Type: `const char*`

  The added symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the trailing space should be dropped.